<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>The m17n Library: MInputMethod Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- Generated by Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'Search');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="Search" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>MInputMethod Struct Reference<br/>
<small>
[<a class="el" href="group__m17nInputMethod.html">Input Method (basic)</a>]</small>
</h1><!-- doxytag: class="MInputMethod" -->
<p>Structure of input method.  
<a href="#_details">More...</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputMethod.html#ad418711bca43a10b3afb2939cd752eb9">language</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputMethod.html#a45c41b1b26161fc5569fd2f32bc6ee58">name</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="structMInputDriver.html">MInputDriver</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputMethod.html#a50c13f896654f2e03f63781abc06eaf4">driver</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputMethod.html#ad5d88e37cdabefa5713b05aa5a3d9bc8">arg</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMInputMethod.html#a164148109aa2bba97e9308fb456919e8">info</a></td></tr>
</table>
<hr/><a name="_details"></a><h2>Detailed Description</h2>
<p>Structure of input method. </p>
<p>See struct <a class="el" href="structMInputMethod.html" title="Structure of input method.">MInputMethod</a>.</p>
<p>The type <code><a class="el" href="structMInputMethod.html" title="Structure of input method.">MInputMethod</a></code> is the structure of input method objects. </p>
<hr/><h2>Field Documentation</h2>
<a class="anchor" id="ad418711bca43a10b3afb2939cd752eb9"></a><!-- doxytag: member="MInputMethod::language" ref="ad418711bca43a10b3afb2939cd752eb9" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="structMInputMethod.html#ad418711bca43a10b3afb2939cd752eb9">MInputMethod::language</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Which language this input method is for. The value is <code>Mnil</code> if the input method is foreign. </p>

</div>
</div>
<a class="anchor" id="a45c41b1b26161fc5569fd2f32bc6ee58"></a><!-- doxytag: member="MInputMethod::name" ref="a45c41b1b26161fc5569fd2f32bc6ee58" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="structMInputMethod.html#a45c41b1b26161fc5569fd2f32bc6ee58">MInputMethod::name</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Name of the input method. If the input method is foreign, it must has a property of key <code>Minput_driver</code> and the value must be a pointer to a proper input method driver. </p>

</div>
</div>
<a class="anchor" id="a50c13f896654f2e03f63781abc06eaf4"></a><!-- doxytag: member="MInputMethod::driver" ref="a50c13f896654f2e03f63781abc06eaf4" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="structMInputDriver.html">MInputDriver</a> <a class="el" href="structMInputMethod.html#a50c13f896654f2e03f63781abc06eaf4">MInputMethod::driver</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Input method driver of the input method. </p>

</div>
</div>
<a class="anchor" id="ad5d88e37cdabefa5713b05aa5a3d9bc8"></a><!-- doxytag: member="MInputMethod::arg" ref="ad5d88e37cdabefa5713b05aa5a3d9bc8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structMInputMethod.html#ad5d88e37cdabefa5713b05aa5a3d9bc8">MInputMethod::arg</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>The argument given to <a class="el" href="group__m17nInputMethod.html#ga34d3e527bfd705d2b7f2b749199c1e11" title="Open an input method.">minput_open_im()</a>. </p>

</div>
</div>
<a class="anchor" id="a164148109aa2bba97e9308fb456919e8"></a><!-- doxytag: member="MInputMethod::info" ref="a164148109aa2bba97e9308fb456919e8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structMInputMethod.html#a164148109aa2bba97e9308fb456919e8">MInputMethod::info</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">
<p>Pointer to extra information that &lt;driver&gt;.open_im() setups. </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>Data Structures</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>Files</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>Functions</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>Variables</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>Typedefs</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>Enumerations</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>Enumerator</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>Defines</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-en/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
